Cutlass CUDA Templates for Linear Algebra Subroutines and Solvers

Public Types | Public Member Functions | List of all members
cutlass::platform::complex< T > Class Template Reference

`#include <complex.h>`

## Public Types
typedef T | value_type
| Type alias for scalar type. More...

## Public Member Functions
CUTLASS_HOST_DEVICE | complex (T r=T(0), T i=T(0))
| Constructor. More...
CUTLASS_HOST_DEVICE | complex (cuFloatComplex const &z)
| Conversion from cuFloatComplex. More...
CUTLASS_HOST_DEVICE | complex (cuDoubleComplex const &z)
| Conversion from cuDoubleComplex. More...
CUTLASS_HOST_DEVICE T const & | real () const
| Accesses the real part of the complex number. More...
CUTLASS_HOST_DEVICE T & | real ()
| Accesses the real part of the complex number. More...
CUTLASS_HOST_DEVICE T const & | imag () const
| Accesses the imaginary part of the complex number. More...
CUTLASS_HOST_DEVICE T & | imag ()
| Accesses the imaginary part of the complex number. More...
CUTLASS_HOST_DEVICE | operator cuFloatComplex () const
| Converts to cuFloatComplex. More...
CUTLASS_HOST_DEVICE | operator cuDoubleComplex () const
| Converts to cuDoubleComplex. More...

## Detailed Description

### template<typename T>
class cutlass::platform::complex< T >

Class for representing and manipulating complex numbers with conversions from built-in CUDA complex types.

## Member Typedef Documentation

## ◆ value_type

template<typename T>

typedef T cutlass::platform::complex< T >::value_type

## Constructor & Destructor Documentation

## ◆ complex() [1/3]

template<typename T>

CUTLASS_HOST_DEVICE cutlass::platform::complex< T >::complex | ( | T | r = `T(0)`,
|  | T | i = `T(0)`
| ) |  |
| inline

## ◆ complex() [2/3]

template<typename T>

CUTLASS_HOST_DEVICE cutlass::platform::complex< T >::complex | ( | cuFloatComplex const & | z | ) |
| inline

## ◆ complex() [3/3]

template<typename T>

CUTLASS_HOST_DEVICE cutlass::platform::complex< T >::complex | ( | cuDoubleComplex const & | z | ) |
| inline

## Member Function Documentation

## ◆ imag() [1/2]

template<typename T>

CUTLASS_HOST_DEVICE T const& cutlass::platform::complex< T >::imag | ( |  | ) | const
| inline

## ◆ imag() [2/2]

template<typename T>

CUTLASS_HOST_DEVICE T& cutlass::platform::complex< T >::imag | ( |  | ) |
| inline

## ◆ operator cuDoubleComplex()

template<typename T>

CUTLASS_HOST_DEVICE cutlass::platform::complex< T >::operator cuDoubleComplex | ( |  | ) | const
| inline

## ◆ operator cuFloatComplex()

template<typename T>

CUTLASS_HOST_DEVICE cutlass::platform::complex< T >::operator cuFloatComplex | ( |  | ) | const
| inline

## ◆ real() [1/2]

template<typename T>

CUTLASS_HOST_DEVICE T const& cutlass::platform::complex< T >::real | ( |  | ) | const
| inline

## ◆ real() [2/2]

template<typename T>

CUTLASS_HOST_DEVICE T& cutlass::platform::complex< T >::real | ( |  | ) |
| inline

The documentation for this class was generated from the following file:

- complex.h